### Method

# Vips Image get_image

#### Declaration [src]

    int
    vips_image_get_image (
      const VipsImage* image,
      const char* name,
      VipsImage** out
    )

#### Description [src]

Gets `out` from `im` under the name `name`. The field must be of type `VIPS_TYPE_IMAGE`. You must unref `out` with `g_object_unref()`.

Use `vips_image_get_typeof()` to test for the existence of a piece of metadata.

See also

`vips_image_get()`, `vips_image_set_image()`.

#### Parameters

`name`

  Type: `const char*`

  Metadata name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out`

  Type: `VipsImage`

  Return metadata value.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `int`

0 on success, -1 otherwise.